Canon blocking Magic Lantern on latest 5D Mark III bodies

5D Mark III - Magic Lantern hack
Goodbye world?

Canon look to have blocked Magic Lantern and new 5D Mark III bodies which won’t roll back to older firmware.

Users are presented with an error saying “firmware older than 1.3 on the card, update using newer version”.

Source – Magic Lantern forum Via Canon Rumors

Read moreCanon blocking Magic Lantern on latest 5D Mark III bodies